Page MenuHomePhabricator

Discovery Team Re-branding
Closed, ResolvedPublic

Description

As part of making ourselves a true multi-project team, we should really expose our "assets" as Discovery-related, not search-related:

  • Create a discovery@list.wikimedia.org mailing list (public, should be used by default by everyone unless something MUST be private
  • Create a discovery-private@list.wikimedia.org mailing list - very few emails, NDA-only
  • Create # discovery IRC channel and encourage everyone to switch over
  • Create a @ wmfdiscovery twitter account

The public search mailing list could be kept for search-related discussions (I assume we have subscribers there)

Details

Related Gerrit Patches:

Event Timeline

Yurik created this task.Aug 25 2015, 10:45 PM
Yurik assigned this task to Tfinc.
Yurik raised the priority of this task from to High.
Yurik updated the task description. (Show Details)
Yurik added a project: Discovery.
Yurik added subscribers: Yurik, MaxSem, Wwes and 5 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2015, 10:45 PM
Yurik updated the task description. (Show Details)Aug 25 2015, 10:46 PM
Yurik set Security to None.

Ticket says Discovery for IRC channel, but SOP would be wikimedia-discovery. i think the second might be more discoverable but i don't have strong opinions.

#wikimedia-discovery is consistent with the naming conventions of other channels. We can use that.

Dzahn added a subscriber: Dzahn.

Do you just request new mailing lists or a rename of an old list that also moves archives around and redirects old URLs?

I think keeping archives would be nice if it's possible, archives are very useful to look up past discussions and having them split would be inconvenient.

@Dzahn, let's just rename the lists so that we can keep the archives

Re: IRC channels - #wikimedia-discovery should be the channel name, so our GCs have access to it in case of trouble.

Yes, it is. See Deskana's comment above.

I'll handle the mailing lists tomorrow.

Regarding the mailing lists, no one has stepped forward to take on as list administrators. Though looking at the department and those CC'd, my mind says Wes and Tomasz? Obviously though since they're flexible to be changed - anyone does just for me to create them.

@Tfinc (list creation blocked on this now) You seem to mention a rename following @Dzahn's comment yet looking at the original request - there seems no need for a rename? The search list has the comment of "The public search mailing list could be kept for search-related discussions" which seems to be the only existing lists Discovery has. The rename comment Daniel made seems sort of unrelated in my opinion as it deviates completely from the original request.

I am happy to create the two discovery lists and the search one can be left as-is for list discussions relating to search or it can be renamed into either discovery list (though that creates problems as a specialisted list is then made generalised). Please feel free to clear up the confusion when you have time. Thanks!

Yurik added a comment.Sep 15 2015, 5:56 PM

I'm totally ok with having just one list, but it should be called "discovery@..."

Let's rename please

Both search lists should be renamed to their Discovery equivalents. Existing administratorship should be maintained. The lists are serving the same purpose, for the same stakeholders--it really is just a naming change.

Ok, so: wikimedia-search@lists -> discovery@lists and wkimedia-search-private@lists -> discovery-private@lists? Correct?

Change 238650 had a related patch set uploaded (by Dzahn):
mailman: redirects for search lists -> discovery

https://gerrit.wikimedia.org/r/238650

Change 238652 had a related patch set uploaded (by Dzahn):
mailman: exim alias for discovery list renames

https://gerrit.wikimedia.org/r/238652

Dzahn claimed this task.Sep 22 2015, 1:46 AM
Dzahn added a subscriber: Tfinc.

stealing it from Tomasz until the list renaming is ready, this will happen tomorrow

Change 238650 merged by Dzahn:
mailman: redirects for search lists -> discovery

https://gerrit.wikimedia.org/r/238650

Change 238652 merged by Dzahn:
mailman: exim alias for discovery list renames

https://gerrit.wikimedia.org/r/238652

Both lists have been renamed.

https://lists.wikimedia.org/mailman/listinfo/wikimedia-search will redirect to
https://lists.wikimedia.org/mailman/listinfo/discovery

https://lists.wikimedia.org/mailman/listinfo/wikimedia-search-private will redirect to:
https://lists.wikimedia.org/mailman/listinfo/discovery-private

Both lists have the old list name as an "acceptable alias" and there is an exim alias so that mail still going to the old address also arrives on the new lists.

All subscribers, config options and passwords have been copied from old to new, so nothing should change regarding that.

Besides the "real_name" of the list and the alias the only thing i changed is to edit the prefix in the mail subjects to reflect the new name.

I sent mail to lists as well to confirm this. sorry for multiple messages. I did not get copies of my own mail so first thought something didn't work as expected.

Best,
Daniel

Dzahn reassigned this task from Dzahn to Tfinc.Sep 23 2015, 12:18 AM

Giving back to you, Tomasz. I see your IRC channel already redirects, so looks like just that Twitter account is left.

Deskana closed this task as Resolved.Dec 3 2015, 5:05 AM

Given that we've not created the Twitter account yet, I am going to assume that we are not that interested in doing so. Since everything else in this task is done, I am closing this task a resolved to reflect reality.